#!/bin/bash
#SBATCH --partition=msc
#SBATCH --mem=20G
#SBATCH --cpus-per-task=4
#SBATCH --output=/users/ms20qj/sbatch_logs/init-%A_%a.log
#SBATCH --gres=gpu:1
#SBATCH --array=0-7%4
list=(
"python data/generation/train.py --lr 0.0001 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 1000 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name lr_skipinit"

"python data/generation/train.py --lr 0.0003 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 1000 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name lr_skipinit"

"python data/generation/train.py --lr 0.001 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 1000 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name lr_skipinit"

"python data/generation/train.py --lr 0.003 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 1000 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name lr_skipinit"

"python data/generation/train.py --lr 0.01 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 1000 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name lr_skipinit"

"python data/generation/train.py --lr 0.03 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 1000 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name lr_skipinit"

"python data/generation/train.py --lr 0.1 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 1000 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name lr_skipinit"

"python data/generation/train.py --lr 0.3 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 1000 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name lr_skipinit"
)
${list[SLURM_ARRAY_TASK_ID]}